<!DOCTYPE html>

<html>
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <title>HTML Tables and Forms</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="">
    </head>

    <body>
        <script src="" async="async" defer="defer"></script>

        <!-- Semantic tags for code readablity -->

        <header>

            <h1>HTML Tables and Forms</h1>

        </header>

        <main>
            <!-- first section -->
            <section>
                <h2>HTML Entities</h2>
                <p>
                    <em>Reserved Characters in HTML (e.g &lt; or &gt; characters that can mix up
                        with HTML codes.)</em>
                </p>

                <!-- Defines an HTML table -->
                <table border="1">
                    <!-- Used to group table header content -->
                    <thead>
                        <!-- Defines a table row -->
                        <tr>
                            <!-- Defines a table header element -->
                            <th colspan="2">Entity</th>
                            <th>Description</th>
                        </tr>
                    </thead>

                    <!-- Used to group table body content -->

                    <tbody>
                        <tr>
                            <!-- Table Data Element -->
                            <td>&lt</td>
                            <td>lt</td>
                            <td>Less than</td>
                        </tr>

                        <tr>
                            <!-- Table Data Element -->
                            <td>&gt</td>
                            <td>gt</td>
                            <td>Greater than</td>
                        </tr>

                        <tr>
                            <!-- Table Data Element -->
                            <td>&#8369</td>
                            <td>#8369</td>
                            <td>Peso sign</td>
                        </tr>

                        <tr>
                            <!-- Table Data Element -->
                            <td>&quot</td>
                            <td>"</td>
                            <td>Double quoatation mark</td>
                        </tr>

                        <tr>
                            <!-- Table Data Element -->
                            <td>&apos;</td>
                            <td>apos</td>
                            <td>Single quoatation mark (apostrophe)</td>
                        </tr>

                        <tr>
                            <!-- Table Data Element -->
                            <td>&ntilde;</td>
                            <td>ntilde</td>
                            <td>Lower tilde</td>
                        </tr>

                        <tr>
                            <!-- Table Data Element -->
                            <td>&Ntilde;</td>
                            <td>Ntilde</td>
                            <td>Upper tilde</td>
                        </tr>

                    </tbody>

                    <!-- Used to group footer content -->

                    <tfoot>

                        <tr>
                            <th colspan="3">List of HTML Entities</th>
                        </tr>

                    </tfoot>
                </table>

            </section>

            <section>
                <!-- second section -->
                <h2>HTML Forms</h2>
                <p>
                    <em>Input Elements that make up a form</em>
                </p>

                <form action="https://www.google.com/">
                    <!-- Creates a label and allows for input field selection when click-->

                    <label for="full_name">Full Name:</label>
                    <br>
                    <!-- Creates an input field to capture Input -->
                    <input
                        type="text"
                        name="full_name"
                        id="full_name"
                        required="required"
                        autocomplete="true">
                    <br>

                    <label for="birth_date">Birth Date:</label>
                    <br>
                    <input type="date" name="birth_date" id="birth_date" required="required">
                    <br>

                    <label for="age">Age:</label>
                    <br>
                    <input type="number" name="age" id="age" required="required">
                    <br>

                    <label for="gender">Gender:</label>
                    <br>
                    <!-- Creates a drop down menu -->
                    <select name="gender" id="gender required">
                        <option value="">--Select--</option>
                        <option value="Male">Male</option>
                        <option value="Female">Female</option>
                    </select><br>

                    <label for="Notes">Notes:</label>
                    <br>
                    <!-- Creates a larger input field -->
                    <textarea name="notes" id="notes" cols="30" rows="5"></textarea>
                    <br>

                    <!-- Radio Button -->
                    <label>New User:</label><br>
                    <!-- Name Attributes should be the same for related radio buttons -->

                    <input type="radio" name="new_user" id="user_type1" value="yes">
                    <label for="user_type1">yes</label>
                    <br>

                    <input type="radio" name="new_user" id="user_type2" value="no">
                    <label for="user_type2">no</label><br>

                    <br><br>

                    <!-- Checkboxes -->
                    <label>Roles:</label>
                    <br>

                    <!-- Create checkboex for multiple choices -->

                    <input type="checkbox" name="role1" id="role1" value="developer">
                    <label for="role1">Developer</label>
                    <br>

                    <input type="checkbox" name="role2" id="role2" value="Student">
                    <label for="role2">Student</label>
                    <br>

                    <input type="checkbox" name="role3" id="role3" value="Manager">
                    <label for="role3">Manager</label>
                    <br>

                    <br><br>

                    <!-- Creates a button that will submit the form data -->
                    <button type="submit">Submit</button>
                    <br>
                    <!-- Creates a button to reset form data -->
                    <button type="reset">Reset</button>

                </form>

            </section>
        </main>

    </body>
</html>